def var th as handle.
def var bh as handle.
def var q as handle.
def var i as integer.
{thparm-clear-calling-dyn.i}

/* Input - Use buffer handle */
bh = th:default-buffer-handle.

do on error undo, leave: 
   run thparm-called-inout.p (input-output table-handle bh).
   message "in block 1".
end.
message "after block 1".


/* Input - Use invalid handle type */
def var fh as handle.
fh = bh:buffer-field("f1").

do on error undo, leave: 
   run thparm-called-inout.p (input-output table-handle fh).
   message "in block 2".
end.
message "after block 2".


/* Input - Use unknowwn value - valid option */
th = ?.

do on error undo, leave: 
   run thparm-called-inout.p (input-output table-handle th).
   message "in block 3".
end.
message "after block 3".

/* Input - Use unprepared table handle */
create temp-table th.

do on error undo, leave: 
   run thparm-called-inout.p (input-output table-handle th).
   message "in block 4".
end.
message "after block 4".



/* Output - Use buffer handle */
do on error undo, leave: 
   run thparm-called-invalid.p (output table-handle th, 1).
   message "in block 5".
end.
message "after block 5".


/* Output - Use invalid handle type */
do on error undo, leave: 
   run thparm-called-invalid.p (output table-handle th, 2).
   message "in block 6".
end.
message "after block 6".


/* Output - Use unknowwn value */
do on error undo, leave: 
   run thparm-called-invalid.p (output table-handle th, 3).
   message "in block 7".
end.
message "after block 7".


/* Output - Use unprepared table handle */
do on error undo, leave: 
   run thparm-called-invalid.p (output table-handle th, 4).
   message "in block 8".
end.
message "after block 8".

