def temp-table tt field f1 as integer.

/* static - static */
do on error undo, leave:
   run thparm-table-mismatch-f.p (output table tt append).
   message "in block 1".
end.
message "after block 1".

/* static - dynamic */
do on error undo, leave:
   run thparm-table-mismatch-f-dyn.p (output table tt append).
   message "in block 2".
end.
message "after block 2".

/* dynamic - dynamic */
def var th as handle.
create temp-table th.
th:add-new-field("f2", "integer").
th:temp-table-prepare("tt2").

do on error undo, leave:
   run thparm-table-mismatch-f-dyn.p (output table-handle th append).
   message "in block 3".
end.
message "after block 3".